published on Friday, Oct 9, 2026 by Pulumi
published on Friday, Oct 9, 2026 by Pulumi
This data source provides the list of Subsetting Policies in Oracle Cloud Infrastructure Data Safe service.
Gets a list of subsetting policies based on the specified query parameters.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testSubsettingPolicies = oci.datasafe.getSubsettingPolicies({
compartmentId: compartmentId,
accessLevel: subsettingPolicyAccessLevel,
compartmentIdInSubtree: subsettingPolicyCompartmentIdInSubtree === "true",
displayName: subsettingPolicyDisplayName,
maskingPolicyId: testMaskingPolicy.id,
sensitiveDataModelId: testSensitiveDataModel.id,
state: subsettingPolicyState,
subsettingPolicyId: testSubsettingPolicy.id,
targetId: testTarget.id,
timeCreatedGreaterThanOrEqualTo: subsettingPolicyTimeCreatedGreaterThanOrEqualTo,
timeCreatedLessThan: subsettingPolicyTimeCreatedLessThan,
});
import pulumi
import pulumi_oci as oci
test_subsetting_policies = oci.datasafe.get_subsetting_policies(compartment_id=compartment_id,
access_level=subsetting_policy_access_level,
compartment_id_in_subtree=subsetting_policy_compartment_id_in_subtree == "true",
display_name=subsetting_policy_display_name,
masking_policy_id=test_masking_policy["id"],
sensitive_data_model_id=test_sensitive_data_model["id"],
state=subsetting_policy_state,
subsetting_policy_id=test_subsetting_policy["id"],
target_id=test_target["id"],
time_created_greater_than_or_equal_to=subsetting_policy_time_created_greater_than_or_equal_to,
time_created_less_than=subsetting_policy_time_created_less_than)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := datasafe.GetSubsettingPolicies(ctx, &datasafe.GetSubsettingPoliciesArgs{
CompartmentId: compartmentId,
AccessLevel: pulumi.StringRef(subsettingPolicyAccessLevel),
CompartmentIdInSubtree: pulumi.BoolRef(subsettingPolicyCompartmentIdInSubtree),
DisplayName: pulumi.StringRef(subsettingPolicyDisplayName),
MaskingPolicyId: pulumi.StringRef(testMaskingPolicy.Id),
SensitiveDataModelId: pulumi.StringRef(testSensitiveDataModel.Id),
State: pulumi.StringRef(subsettingPolicyState),
SubsettingPolicyId: pulumi.StringRef(testSubsettingPolicy.Id),
TargetId: pulumi.StringRef(testTarget.Id),
TimeCreatedGreaterThanOrEqualTo: pulumi.StringRef(subsettingPolicyTimeCreatedGreaterThanOrEqualTo),
TimeCreatedLessThan: pulumi.StringRef(subsettingPolicyTimeCreatedLessThan),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testSubsettingPolicies = Oci.DataSafe.GetSubsettingPolicies.Invoke(new()
{
CompartmentId = compartmentId,
AccessLevel = subsettingPolicyAccessLevel,
CompartmentIdInSubtree = subsettingPolicyCompartmentIdInSubtree,
DisplayName = subsettingPolicyDisplayName,
MaskingPolicyId = testMaskingPolicy.Id,
SensitiveDataModelId = testSensitiveDataModel.Id,
State = subsettingPolicyState,
SubsettingPolicyId = testSubsettingPolicy.Id,
TargetId = testTarget.Id,
TimeCreatedGreaterThanOrEqualTo = subsettingPolicyTimeCreatedGreaterThanOrEqualTo,
TimeCreatedLessThan = subsettingPolicyTimeCreatedLessThan,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.DataSafe.DataSafeFunctions;
import com.pulumi.oci.DataSafe.inputs.GetSubsettingPoliciesArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testSubsettingPolicies = DataSafeFunctions.getSubsettingPolicies(GetSubsettingPoliciesArgs.builder()
.compartmentId(compartmentId)
.accessLevel(subsettingPolicyAccessLevel)
.compartmentIdInSubtree(subsettingPolicyCompartmentIdInSubtree)
.displayName(subsettingPolicyDisplayName)
.maskingPolicyId(testMaskingPolicy.id())
.sensitiveDataModelId(testSensitiveDataModel.id())
.state(subsettingPolicyState)
.subsettingPolicyId(testSubsettingPolicy.id())
.targetId(testTarget.id())
.timeCreatedGreaterThanOrEqualTo(subsettingPolicyTimeCreatedGreaterThanOrEqualTo)
.timeCreatedLessThan(subsettingPolicyTimeCreatedLessThan)
.build());
}
}
variables:
testSubsettingPolicies:
fn::invoke:
function: oci:DataSafe:getSubsettingPolicies
arguments:
compartmentId: ${compartmentId}
accessLevel: ${subsettingPolicyAccessLevel}
compartmentIdInSubtree: ${subsettingPolicyCompartmentIdInSubtree}
displayName: ${subsettingPolicyDisplayName}
maskingPolicyId: ${testMaskingPolicy.id}
sensitiveDataModelId: ${testSensitiveDataModel.id}
state: ${subsettingPolicyState}
subsettingPolicyId: ${testSubsettingPolicy.id}
targetId: ${testTarget.id}
timeCreatedGreaterThanOrEqualTo: ${subsettingPolicyTimeCreatedGreaterThanOrEqualTo}
timeCreatedLessThan: ${subsettingPolicyTimeCreatedLessThan}
pulumi {
required_providers {
oci = {
source = "pulumi/oci"
}
}
}
data "oci_datasafe_getsubsettingpolicies" "testSubsettingPolicies" {
compartment_id = compartmentId
access_level = subsettingPolicyAccessLevel
compartment_id_in_subtree = subsettingPolicyCompartmentIdInSubtree
display_name = subsettingPolicyDisplayName
masking_policy_id = testMaskingPolicy.id
sensitive_data_model_id = testSensitiveDataModel.id
state = subsettingPolicyState
subsetting_policy_id = testSubsettingPolicy.id
target_id = testTarget.id
time_created_greater_than_or_equal_to = subsettingPolicyTimeCreatedGreaterThanOrEqualTo
time_created_less_than = subsettingPolicyTimeCreatedLessThan
}
Using getSubsettingPolicies
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSubsettingPolicies(args: GetSubsettingPoliciesArgs, opts?: InvokeOptions): Promise<GetSubsettingPoliciesResult>
function getSubsettingPoliciesOutput(args: GetSubsettingPoliciesOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPoliciesResult>def get_subsetting_policies(access_level: Optional[str] = None,
compartment_id: Optional[str] = None,
compartment_id_in_subtree: Optional[bool] = None,
display_name: Optional[str] = None,
filters: Optional[Sequence[GetSubsettingPoliciesFilter]] = None,
masking_policy_id: Optional[str] = None,
sensitive_data_model_id: Optional[str] = None,
state: Optional[str] = None,
subsetting_policy_id: Optional[str] = None,
target_id: Optional[str] = None,
time_created_greater_than_or_equal_to: Optional[str] = None,
time_created_less_than: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSubsettingPoliciesResult
def get_subsetting_policies_output(access_level: pulumi.Input[Optional[str]] = None,
compartment_id: pulumi.Input[Optional[str]] = None,
compartment_id_in_subtree: pulumi.Input[Optional[bool]] = None,
display_name: pulumi.Input[Optional[str]] = None,
filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPoliciesFilterArgs]]]] = None,
masking_policy_id: pulumi.Input[Optional[str]] = None,
sensitive_data_model_id: pulumi.Input[Optional[str]] = None,
state: pulumi.Input[Optional[str]] = None,
subsetting_policy_id: pulumi.Input[Optional[str]] = None,
target_id: pulumi.Input[Optional[str]] = None,
time_created_greater_than_or_equal_to: pulumi.Input[Optional[str]] = None,
time_created_less_than: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPoliciesResult]func GetSubsettingPolicies(ctx *Context, args *GetSubsettingPoliciesArgs, opts ...InvokeOption) (*GetSubsettingPoliciesResult, error)
func GetSubsettingPoliciesOutput(ctx *Context, args *GetSubsettingPoliciesOutputArgs, opts ...InvokeOption) GetSubsettingPoliciesResultOutput> Note: This function is named GetSubsettingPolicies in the Go SDK.
public static class GetSubsettingPolicies
{
public static Task<GetSubsettingPoliciesResult> InvokeAsync(GetSubsettingPoliciesArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPoliciesResult> Invoke(GetSubsettingPoliciesInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPoliciesResult> Invoke(GetSubsettingPoliciesInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetSubsettingPoliciesResult> getSubsettingPolicies(GetSubsettingPoliciesArgs args, InvokeOptions options)
public static Output<GetSubsettingPoliciesResult> getSubsettingPolicies(GetSubsettingPoliciesArgs args, InvokeOptions options)
public static Output<GetSubsettingPoliciesResult> getSubsettingPolicies(GetSubsettingPoliciesArgs args, InvokeOutputOptions options)
fn::invoke:
function: oci:DataSafe/getSubsettingPolicies:getSubsettingPolicies
arguments:
# arguments dictionarydata "oci_data_safe_get_subsetting_policies" "name" {
# arguments
}The following arguments are supported:
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- Compartment
Id boolIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- Display
Name string - A filter to return only resources that match the specified display name.
- Filters
List<Get
Subsetting Policies Filter> - Masking
Policy stringId - A filter to return only the resources that match the specified masking policy OCID.
- Sensitive
Data stringModel Id - A filter to return only the resources that match the specified sensitive data model OCID.
- State string
- A filter to return only the resources that match the specified lifecycle states.
- Subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- Target
Id string - A filter to return only items related to a specific target OCID.
- Time
Created stringGreater Than Or Equal To A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- Time
Created stringLess Than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- Compartment
Id boolIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- Display
Name string - A filter to return only resources that match the specified display name.
- Filters
[]Get
Subsetting Policies Filter - Masking
Policy stringId - A filter to return only the resources that match the specified masking policy OCID.
- Sensitive
Data stringModel Id - A filter to return only the resources that match the specified sensitive data model OCID.
- State string
- A filter to return only the resources that match the specified lifecycle states.
- Subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- Target
Id string - A filter to return only items related to a specific target OCID.
- Time
Created stringGreater Than Or Equal To A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- Time
Created stringLess Than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- compartment_
id string - A filter to return only resources that match the specified compartment OCID.
- access_
level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment_
id_ boolin_ subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- display_
name string - A filter to return only resources that match the specified display name.
- filters list(object)
- masking_
policy_ stringid - A filter to return only the resources that match the specified masking policy OCID.
- sensitive_
data_ stringmodel_ id - A filter to return only the resources that match the specified sensitive data model OCID.
- state string
- A filter to return only the resources that match the specified lifecycle states.
- subsetting_
policy_ stringid - A filter to return only the resources that match the specified subsetting policy OCID.
- target_
id string - A filter to return only items related to a specific target OCID.
- time_
created_ stringgreater_ than_ or_ equal_ to A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- time_
created_ stringless_ than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- access
Level String - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id BooleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- display
Name String - A filter to return only resources that match the specified display name.
- filters
List<Get
Subsetting Policies Filter> - masking
Policy StringId - A filter to return only the resources that match the specified masking policy OCID.
- sensitive
Data StringModel Id - A filter to return only the resources that match the specified sensitive data model OCID.
- state String
- A filter to return only the resources that match the specified lifecycle states.
- subsetting
Policy StringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Id String - A filter to return only items related to a specific target OCID.
- time
Created StringGreater Than Or Equal To A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- time
Created StringLess Than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id booleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- display
Name string - A filter to return only resources that match the specified display name.
- filters
Get
Subsetting Policies Filter[] - masking
Policy stringId - A filter to return only the resources that match the specified masking policy OCID.
- sensitive
Data stringModel Id - A filter to return only the resources that match the specified sensitive data model OCID.
- state string
- A filter to return only the resources that match the specified lifecycle states.
- subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Id string - A filter to return only items related to a specific target OCID.
- time
Created stringGreater Than Or Equal To A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- time
Created stringLess Than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- compartment_
id str - A filter to return only resources that match the specified compartment OCID.
- access_
level str - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment_
id_ boolin_ subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- display_
name str - A filter to return only resources that match the specified display name.
- filters
Sequence[Get
Subsetting Policies Filter] - masking_
policy_ strid - A filter to return only the resources that match the specified masking policy OCID.
- sensitive_
data_ strmodel_ id - A filter to return only the resources that match the specified sensitive data model OCID.
- state str
- A filter to return only the resources that match the specified lifecycle states.
- subsetting_
policy_ strid - A filter to return only the resources that match the specified subsetting policy OCID.
- target_
id str - A filter to return only items related to a specific target OCID.
- time_
created_ strgreater_ than_ or_ equal_ to A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- time_
created_ strless_ than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- access
Level String - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id BooleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- display
Name String - A filter to return only resources that match the specified display name.
- filters List<Property Map>
- masking
Policy StringId - A filter to return only the resources that match the specified masking policy OCID.
- sensitive
Data StringModel Id - A filter to return only the resources that match the specified sensitive data model OCID.
- state String
- A filter to return only the resources that match the specified lifecycle states.
- subsetting
Policy StringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Id String - A filter to return only items related to a specific target OCID.
- time
Created StringGreater Than Or Equal To A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- time
Created StringLess Than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
getSubsettingPolicies Result
The following output properties are available:
- Compartment
Id string - The OCID of the compartment that contains the subsetting policy
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy List<GetCollections Subsetting Policies Subsetting Policy Collection> - The list of subsetting_policy_collection.
- Access
Level string - Compartment
Id boolIn Subtree - Display
Name string - The display name of the subsetting policy
- Filters
List<Get
Subsetting Policies Filter> - Masking
Policy stringId - The OCID of the masking policy associated with this subsetting policy
- Sensitive
Data stringModel Id - The OCID of the sensitive data model that's used as the source of subsetting schemas
- State string
- The current state of the subsetting policy
- Subsetting
Policy stringId - Target
Id string - The OCID of the target database that's used as the source of subsetting schemas
- Time
Created stringGreater Than Or Equal To - Time
Created stringLess Than
- Compartment
Id string - The OCID of the compartment that contains the subsetting policy
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy []GetCollections Subsetting Policies Subsetting Policy Collection - The list of subsetting_policy_collection.
- Access
Level string - Compartment
Id boolIn Subtree - Display
Name string - The display name of the subsetting policy
- Filters
[]Get
Subsetting Policies Filter - Masking
Policy stringId - The OCID of the masking policy associated with this subsetting policy
- Sensitive
Data stringModel Id - The OCID of the sensitive data model that's used as the source of subsetting schemas
- State string
- The current state of the subsetting policy
- Subsetting
Policy stringId - Target
Id string - The OCID of the target database that's used as the source of subsetting schemas
- Time
Created stringGreater Than Or Equal To - Time
Created stringLess Than
- compartment_
id string - The OCID of the compartment that contains the subsetting policy
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ list(object)collections - The list of subsetting_policy_collection.
- access_
level string - compartment_
id_ boolin_ subtree - display_
name string - The display name of the subsetting policy
- filters list(object)
- masking_
policy_ stringid - The OCID of the masking policy associated with this subsetting policy
- sensitive_
data_ stringmodel_ id - The OCID of the sensitive data model that's used as the source of subsetting schemas
- state string
- The current state of the subsetting policy
- subsetting_
policy_ stringid - target_
id string - The OCID of the target database that's used as the source of subsetting schemas
- time_
created_ stringgreater_ than_ or_ equal_ to - time_
created_ stringless_ than
- compartment
Id String - The OCID of the compartment that contains the subsetting policy
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy List<GetCollections Subsetting Policies Subsetting Policy Collection> - The list of subsetting_policy_collection.
- access
Level String - compartment
Id BooleanIn Subtree - display
Name String - The display name of the subsetting policy
- filters
List<Get
Subsetting Policies Filter> - masking
Policy StringId - The OCID of the masking policy associated with this subsetting policy
- sensitive
Data StringModel Id - The OCID of the sensitive data model that's used as the source of subsetting schemas
- state String
- The current state of the subsetting policy
- subsetting
Policy StringId - target
Id String - The OCID of the target database that's used as the source of subsetting schemas
- time
Created StringGreater Than Or Equal To - time
Created StringLess Than
- compartment
Id string - The OCID of the compartment that contains the subsetting policy
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy GetCollections Subsetting Policies Subsetting Policy Collection[] - The list of subsetting_policy_collection.
- access
Level string - compartment
Id booleanIn Subtree - display
Name string - The display name of the subsetting policy
- filters
Get
Subsetting Policies Filter[] - masking
Policy stringId - The OCID of the masking policy associated with this subsetting policy
- sensitive
Data stringModel Id - The OCID of the sensitive data model that's used as the source of subsetting schemas
- state string
- The current state of the subsetting policy
- subsetting
Policy stringId - target
Id string - The OCID of the target database that's used as the source of subsetting schemas
- time
Created stringGreater Than Or Equal To - time
Created stringLess Than
- compartment_
id str - The OCID of the compartment that contains the subsetting policy
- id str
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ Sequence[Getcollections Subsetting Policies Subsetting Policy Collection] - The list of subsetting_policy_collection.
- access_
level str - compartment_
id_ boolin_ subtree - display_
name str - The display name of the subsetting policy
- filters
Sequence[Get
Subsetting Policies Filter] - masking_
policy_ strid - The OCID of the masking policy associated with this subsetting policy
- sensitive_
data_ strmodel_ id - The OCID of the sensitive data model that's used as the source of subsetting schemas
- state str
- The current state of the subsetting policy
- subsetting_
policy_ strid - target_
id str - The OCID of the target database that's used as the source of subsetting schemas
- time_
created_ strgreater_ than_ or_ equal_ to - time_
created_ strless_ than
- compartment
Id String - The OCID of the compartment that contains the subsetting policy
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy List<Property Map>Collections - The list of subsetting_policy_collection.
- access
Level String - compartment
Id BooleanIn Subtree - display
Name String - The display name of the subsetting policy
- filters List<Property Map>
- masking
Policy StringId - The OCID of the masking policy associated with this subsetting policy
- sensitive
Data StringModel Id - The OCID of the sensitive data model that's used as the source of subsetting schemas
- state String
- The current state of the subsetting policy
- subsetting
Policy StringId - target
Id String - The OCID of the target database that's used as the source of subsetting schemas
- time
Created StringGreater Than Or Equal To - time
Created StringLess Than
Supporting Types
GetSubsettingPoliciesFilter
GetSubsettingPoliciesSubsettingPolicyCollection
GetSubsettingPoliciesSubsettingPolicyCollectionItem
- Check
Type string - Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Dictionary<string, string>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - Description string
- The description of the subsetting policy
- Display
Name string - A filter to return only resources that match the specified display name.
- Dictionary<string, string>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - Generate
Health intReport Trigger - Id string
- The OCID of the subsetting policy
- Is
Redo boolLogging Enabled - Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
- Is
Refresh boolStats Enabled - Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
- Masking
Policy stringId - A filter to return only the resources that match the specified masking policy OCID.
- Parallel
Degree string - Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
- Post
Subsetting stringScript - A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
- Pre
Subsetting stringScript - A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
- Recompile string
- Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
- Schema
Sources List<GetSubsetting Policies Subsetting Policy Collection Item Schema Source> - The source of subsetting schemas
- State string
- A filter to return only the resources that match the specified lifecycle states.
- Tablespace string
- Target
Credentials List<GetSubsetting Policies Subsetting Policy Collection Item Target Credential> - Target
Id string - A filter to return only items related to a specific target OCID.
- Time
Created string - The date and time the subsetting policy was created, in the format defined by RFC3339
- Time
Updated string - The date and time the subsetting policy was last updated, in the format defined by RFC3339
- string
- Strategy to be applied for tables which are not impacted by any of the subsetting rules
- Check
Type string - Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- map[string]string
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - Description string
- The description of the subsetting policy
- Display
Name string - A filter to return only resources that match the specified display name.
- map[string]string
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - Generate
Health intReport Trigger - Id string
- The OCID of the subsetting policy
- Is
Redo boolLogging Enabled - Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
- Is
Refresh boolStats Enabled - Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
- Masking
Policy stringId - A filter to return only the resources that match the specified masking policy OCID.
- Parallel
Degree string - Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
- Post
Subsetting stringScript - A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
- Pre
Subsetting stringScript - A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
- Recompile string
- Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
- Schema
Sources []GetSubsetting Policies Subsetting Policy Collection Item Schema Source - The source of subsetting schemas
- State string
- A filter to return only the resources that match the specified lifecycle states.
- Tablespace string
- Target
Credentials []GetSubsetting Policies Subsetting Policy Collection Item Target Credential - Target
Id string - A filter to return only items related to a specific target OCID.
- Time
Created string - The date and time the subsetting policy was created, in the format defined by RFC3339
- Time
Updated string - The date and time the subsetting policy was last updated, in the format defined by RFC3339
- string
- Strategy to be applied for tables which are not impacted by any of the subsetting rules
- check_
type string - compartment_
id string - A filter to return only resources that match the specified compartment OCID.
- map(string)
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - description string
- The description of the subsetting policy
- display_
name string - A filter to return only resources that match the specified display name.
- map(string)
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - generate_
health_ numberreport_ trigger - id string
- The OCID of the subsetting policy
- is_
redo_ boollogging_ enabled - Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
- is_
refresh_ boolstats_ enabled - Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
- masking_
policy_ stringid - A filter to return only the resources that match the specified masking policy OCID.
- parallel_
degree string - Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
- post_
subsetting_ stringscript - A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
- pre_
subsetting_ stringscript - A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
- recompile string
- Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
- schema_
sources list(object) - The source of subsetting schemas
- state string
- A filter to return only the resources that match the specified lifecycle states.
- tablespace string
- target_
credentials list(object) - target_
id string - A filter to return only items related to a specific target OCID.
- time_
created string - The date and time the subsetting policy was created, in the format defined by RFC3339
- time_
updated string - The date and time the subsetting policy was last updated, in the format defined by RFC3339
- string
- Strategy to be applied for tables which are not impacted by any of the subsetting rules
- check
Type String - compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- Map<String,String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - description String
- The description of the subsetting policy
- display
Name String - A filter to return only resources that match the specified display name.
- Map<String,String>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - generate
Health IntegerReport Trigger - id String
- The OCID of the subsetting policy
- is
Redo BooleanLogging Enabled - Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
- is
Refresh BooleanStats Enabled - Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
- masking
Policy StringId - A filter to return only the resources that match the specified masking policy OCID.
- parallel
Degree String - Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
- post
Subsetting StringScript - A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
- pre
Subsetting StringScript - A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
- recompile String
- Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
- schema
Sources List<GetSubsetting Policies Subsetting Policy Collection Item Schema Source> - The source of subsetting schemas
- state String
- A filter to return only the resources that match the specified lifecycle states.
- tablespace String
- target
Credentials List<GetSubsetting Policies Subsetting Policy Collection Item Target Credential> - target
Id String - A filter to return only items related to a specific target OCID.
- time
Created String - The date and time the subsetting policy was created, in the format defined by RFC3339
- time
Updated String - The date and time the subsetting policy was last updated, in the format defined by RFC3339
- String
- Strategy to be applied for tables which are not impacted by any of the subsetting rules
- check
Type string - compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- {[key: string]: string}
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - description string
- The description of the subsetting policy
- display
Name string - A filter to return only resources that match the specified display name.
- {[key: string]: string}
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - generate
Health numberReport Trigger - id string
- The OCID of the subsetting policy
- is
Redo booleanLogging Enabled - Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
- is
Refresh booleanStats Enabled - Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
- masking
Policy stringId - A filter to return only the resources that match the specified masking policy OCID.
- parallel
Degree string - Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
- post
Subsetting stringScript - A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
- pre
Subsetting stringScript - A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
- recompile string
- Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
- schema
Sources GetSubsetting Policies Subsetting Policy Collection Item Schema Source[] - The source of subsetting schemas
- state string
- A filter to return only the resources that match the specified lifecycle states.
- tablespace string
- target
Credentials GetSubsetting Policies Subsetting Policy Collection Item Target Credential[] - target
Id string - A filter to return only items related to a specific target OCID.
- time
Created string - The date and time the subsetting policy was created, in the format defined by RFC3339
- time
Updated string - The date and time the subsetting policy was last updated, in the format defined by RFC3339
- string
- Strategy to be applied for tables which are not impacted by any of the subsetting rules
- check_
type str - compartment_
id str - A filter to return only resources that match the specified compartment OCID.
- Mapping[str, str]
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - description str
- The description of the subsetting policy
- display_
name str - A filter to return only resources that match the specified display name.
- Mapping[str, str]
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - generate_
health_ intreport_ trigger - id str
- The OCID of the subsetting policy
- is_
redo_ boollogging_ enabled - Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
- is_
refresh_ boolstats_ enabled - Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
- masking_
policy_ strid - A filter to return only the resources that match the specified masking policy OCID.
- parallel_
degree str - Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
- post_
subsetting_ strscript - A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
- pre_
subsetting_ strscript - A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
- recompile str
- Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
- schema_
sources Sequence[GetSubsetting Policies Subsetting Policy Collection Item Schema Source] - The source of subsetting schemas
- state str
- A filter to return only the resources that match the specified lifecycle states.
- tablespace str
- target_
credentials Sequence[GetSubsetting Policies Subsetting Policy Collection Item Target Credential] - target_
id str - A filter to return only items related to a specific target OCID.
- time_
created str - The date and time the subsetting policy was created, in the format defined by RFC3339
- time_
updated str - The date and time the subsetting policy was last updated, in the format defined by RFC3339
- str
- Strategy to be applied for tables which are not impacted by any of the subsetting rules
- check
Type String - compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- Map<String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - description String
- The description of the subsetting policy
- display
Name String - A filter to return only resources that match the specified display name.
- Map<String>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - generate
Health NumberReport Trigger - id String
- The OCID of the subsetting policy
- is
Redo BooleanLogging Enabled - Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
- is
Refresh BooleanStats Enabled - Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
- masking
Policy StringId - A filter to return only the resources that match the specified masking policy OCID.
- parallel
Degree String - Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
- post
Subsetting StringScript - A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
- pre
Subsetting StringScript - A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
- recompile String
- Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
- schema
Sources List<Property Map> - The source of subsetting schemas
- state String
- A filter to return only the resources that match the specified lifecycle states.
- tablespace String
- target
Credentials List<Property Map> - target
Id String - A filter to return only items related to a specific target OCID.
- time
Created String - The date and time the subsetting policy was created, in the format defined by RFC3339
- time
Updated String - The date and time the subsetting policy was last updated, in the format defined by RFC3339
- String
- Strategy to be applied for tables which are not impacted by any of the subsetting rules
GetSubsettingPoliciesSubsettingPolicyCollectionItemSchemaSource
- Derived
Schemas List<string> - The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
- Schema
Source string - The source of subsetting schemas
- Schemas
For List<string>Subsettings - The schemas to be subsetted
- Sensitive
Data stringModel Id - A filter to return only the resources that match the specified sensitive data model OCID.
- Target
Id string - A filter to return only items related to a specific target OCID.
- Derived
Schemas []string - The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
- Schema
Source string - The source of subsetting schemas
- Schemas
For []stringSubsettings - The schemas to be subsetted
- Sensitive
Data stringModel Id - A filter to return only the resources that match the specified sensitive data model OCID.
- Target
Id string - A filter to return only items related to a specific target OCID.
- derived_
schemas list(string) - The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
- schema_
source string - The source of subsetting schemas
- schemas_
for_ list(string)subsettings - The schemas to be subsetted
- sensitive_
data_ stringmodel_ id - A filter to return only the resources that match the specified sensitive data model OCID.
- target_
id string - A filter to return only items related to a specific target OCID.
- derived
Schemas List<String> - The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
- schema
Source String - The source of subsetting schemas
- schemas
For List<String>Subsettings - The schemas to be subsetted
- sensitive
Data StringModel Id - A filter to return only the resources that match the specified sensitive data model OCID.
- target
Id String - A filter to return only items related to a specific target OCID.
- derived
Schemas string[] - The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
- schema
Source string - The source of subsetting schemas
- schemas
For string[]Subsettings - The schemas to be subsetted
- sensitive
Data stringModel Id - A filter to return only the resources that match the specified sensitive data model OCID.
- target
Id string - A filter to return only items related to a specific target OCID.
- derived_
schemas Sequence[str] - The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
- schema_
source str - The source of subsetting schemas
- schemas_
for_ Sequence[str]subsettings - The schemas to be subsetted
- sensitive_
data_ strmodel_ id - A filter to return only the resources that match the specified sensitive data model OCID.
- target_
id str - A filter to return only items related to a specific target OCID.
- derived
Schemas List<String> - The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
- schema
Source String - The source of subsetting schemas
- schemas
For List<String>Subsettings - The schemas to be subsetted
- sensitive
Data StringModel Id - A filter to return only the resources that match the specified sensitive data model OCID.
- target
Id String - A filter to return only items related to a specific target OCID.
GetSubsettingPoliciesSubsettingPolicyCollectionItemTargetCredential
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
published on Friday, Oct 9, 2026 by Pulumi